## WebKitDOMEventTarget WebKitDOMEventTarget |

## Functions

gboolean | webkit_dom_event_target_dispatch_event ()
gboolean | webkit_dom_event_target_add_event_listener ()
gboolean | webkit_dom_event_target_remove_event_listener ()
gboolean | webkit_dom_event_target_add_event_listener_with_closure ()
gboolean | webkit_dom_event_target_remove_event_listener_with_closure ()

## Types and Values

| WebKitDOMEventTarget

## Object Hierarchy

        GInterface
        ╰── WebKitDOMEventTarget

## Prerequisites

WebKitDOMEventTarget requires GObject.

## Known Implementations

WebKitDOMEventTarget is implemented by WebKitDOMAttr, WebKitDOMAudioTrackList, WebKitDOMBatteryManager, WebKitDOMCDATASection, WebKitDOMCharacterData, WebKitDOMComment, WebKitDOMDOMApplicationCache, WebKitDOMDOMWindow, WebKitDOMDocument, WebKitDOMDocumentFragment, WebKitDOMDocumentType, WebKitDOMElement, WebKitDOMEntityReference, WebKitDOMHTMLAnchorElement, WebKitDOMHTMLAppletElement, WebKitDOMHTMLAreaElement, WebKitDOMHTMLAudioElement, WebKitDOMHTMLBRElement, WebKitDOMHTMLBaseElement, WebKitDOMHTMLBaseFontElement, WebKitDOMHTMLBodyElement, WebKitDOMHTMLButtonElement, WebKitDOMHTMLCanvasElement, WebKitDOMHTMLDListElement, WebKitDOMHTMLDetailsElement, WebKitDOMHTMLDirectoryElement, WebKitDOMHTMLDivElement, WebKitDOMHTMLDocument, WebKitDOMHTMLElement, WebKitDOMHTMLEmbedElement, WebKitDOMHTMLFieldSetElement, WebKitDOMHTMLFontElement, WebKitDOMHTMLFormElement, WebKitDOMHTMLFrameElement, WebKitDOMHTMLFrameSetElement, WebKitDOMHTMLHRElement, WebKitDOMHTMLHeadElement, WebKitDOMHTMLHeadingElement, WebKitDOMHTMLHtmlElement, WebKitDOMHTMLIFrameElement, WebKitDOMHTMLImageElement, WebKitDOMHTMLInputElement, WebKitDOMHTMLKeygenElement, WebKitDOMHTMLLIElement, WebKitDOMHTMLLabelElement, WebKitDOMHTMLLegendElement, WebKitDOMHTMLLinkElement, WebKitDOMHTMLMapElement, WebKitDOMHTMLMarqueeElement, WebKitDOMHTMLMediaElement, WebKitDOMHTMLMenuElement, WebKitDOMHTMLMetaElement, WebKitDOMHTMLModElement, WebKitDOMHTMLOListElement, WebKitDOMHTMLObjectElement, WebKitDOMHTMLOptGroupElement, WebKitDOMHTMLOptionElement, WebKitDOMHTMLParagraphElement, WebKitDOMHTMLParamElement, WebKitDOMHTMLPreElement, WebKitDOMHTMLQuoteElement, WebKitDOMHTMLScriptElement, WebKitDOMHTMLSelectElement, WebKitDOMHTMLStyleElement, WebKitDOMHTMLTableCaptionElement, WebKitDOMHTMLTableCellElement, WebKitDOMHTMLTableColElement, WebKitDOMHTMLTableElement, WebKitDOMHTMLTableRowElement, WebKitDOMHTMLTableSectionElement, WebKitDOMHTMLTextAreaElement, WebKitDOMHTMLTitleElement, WebKitDOMHTMLUListElement, WebKitDOMHTMLVideoElement, WebKitDOMMediaController, WebKitDOMMessagePort, WebKitDOMNode, WebKitDOMPerformance, WebKitDOMProcessingInstruction, WebKitDOMShadowRoot, WebKitDOMText, WebKitDOMTextTrack, WebKitDOMTextTrackCue, WebKitDOMTextTrackList, WebKitDOMVideoTrackList and WebKitDOMWebKitNamedFlow.

## Description

## Functions

### webkit_dom_event_target_dispatch_event ()

    gboolean
    webkit_dom_event_target_dispatch_event
                                   (WebKitDOMEventTarget *target,
                                    WebKitDOMEvent *event,
                                    GError **error);

#### Parameters

target | A WebKitDOMEventTarget |
event | A WebKitDOMEvent |
error | return location for an error or `NULL` |

#### Returns

a gboolean

### webkit_dom_event_target_add_event_listener ()

    gboolean
    webkit_dom_event_target_add_event_listener
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GCallback handler,
                                    gboolean use_capture,
                                    gpointer user_data);

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GCallback. | [scope async]
use_capture | A gboolean |
user_data | A gpointer |

#### Returns

a gboolean

### webkit_dom_event_target_remove_event_listener ()

    gboolean
    webkit_dom_event_target_remove_event_listener
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GCallback handler,
                                    gboolean use_capture);

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GCallback. | [scope call]
use_capture | A gboolean |

#### Returns

a gboolean

### webkit_dom_event_target_add_event_listener_with_closure ()

    gboolean
    webkit_dom_event_target_add_event_listener_with_closure
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GClosure *handler,
                                    gboolean use_capture);

Version of `webkit_dom_event_target_add_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GClosure |
use_capture | A gboolean |

#### Returns

a gboolean

### webkit_dom_event_target_remove_event_listener_with_closure ()

    gboolean
    webkit_dom_event_target_remove_event_listener_with_closure
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GClosure *handler,
                                    gboolean use_capture);

Version of `webkit_dom_event_target_remove_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GClosure |
use_capture | A gboolean |

#### Returns

a gboolean

## Types and Values

### WebKitDOMEventTarget

    typedef struct _WebKitDOMEventTarget WebKitDOMEventTarget;